%This function takes a picture form the webcam, presumably from right
%within the door frame, and determines whether the robot is staring at a
%closed door or an open door. returns 1 if the door is open, 0 for closed.

function isOpen = findOpenDoor()

done = 0;
%Take the image from where the python script saves it.
while(done ==0)
    try
    doorImage = imread('/Users/cylala/Desktop/r2d2.jpg');
    done=1;
    catch
    disp('Could not read image file, trying again');    
    end
end

%start by assuming it's open
isOpen = 1;
doorColor = [.02 .07];%the hue range of a door in hallway light--brown
doorImage = rgb2hsv(doorImage);
doorImage = doorImage(:,:,1);
doorImageClassified = doorImage(doorImage > doorColor(1));%threshold test
doorImageClassified = doorImage(doorImage < doorColor(2));

%If 70% of the pixels in the image are door colored, then it's a closed
%door
if numel(doorImageClassified) > numel(doorImage)*.7
    isOpen = 0;
end
end